using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class kontaktModosit : System.Web.UI.Page
{
    protected int kontaktID = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        
        if (Request.QueryString.Count > 0 && Request.QueryString.GetKey(0) == "kontaktmodosit")
        {
            System.Collections.Generic.List<db.beosztas> beosztasLista = new System.Collections.Generic.List<db.beosztas>();
            kontaktID = Convert.ToInt32(Request.QueryString["kontaktmodosit"].ToString());
            System.Collections.Generic.List<db.kontakt> kontaktLista = new System.Collections.Generic.List<db.kontakt>();
            db.adatbazisMuveletek.kontaktLekerdez(1, out kontaktLista);
            db.adatbazisMuveletek.beosztasLekerdez(out beosztasLista);

            for (int i = 0; i < beosztasLista.Count; ++i)
            {
                ddlBeosztas.Items.Add(new ListItem(beosztasLista[i].beosztasNev, beosztasLista[i].beosztasID.ToString()));
            }

            for (int i = 0; i < kontaktLista.Count; i++)
            {
                if (kontaktLista[i].kontaktID == kontaktID)
                {
                    string beosztasMegnevez;
                    db.adatbazisMuveletek.beosztNevToIdLekerdez(kontaktLista[i].beosztasID,out beosztasMegnevez);

                    txtKapcsolattarto.Text = kontaktLista[i].nev;
                    txtTelSzam.Text = kontaktLista[i].telefon;
                    txtMobil.Text = kontaktLista[i].mobil;
                    txtMail.Text = kontaktLista[i].email;
                    txtFax.Text = kontaktLista[i].fax;
                    ddlBeosztas.SelectedItem.Text = beosztasMegnevez;
                    
                }
            }
        }
        else
        {
            Response.Redirect("szemelyilap.aspx");
        }
        
    }
    
    protected void btnMent_Click(object sender, EventArgs e)
    {
        db.adatbazisMuveletek.kontaktUpdate(kontaktID, txtMobil.Text.ToString(), txtTelSzam.Text.ToString(), txtMail.Text.ToString(), txtFax.Text.ToString(), Convert.ToInt32(ddlBeosztas.SelectedIndex));
        btnModosit.Attributes.Add("onclick", "window.close()");
    }
}
